summaryrefslogtreecommitdiff
path: root/qa/125
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/125
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/125')
-rwxr-xr-xqa/12525
1 files changed, 25 insertions, 0 deletions
diff --git a/qa/125 b/qa/125
new file mode 100755
index 0000000..4750571
--- /dev/null
+++ b/qa/125
@@ -0,0 +1,25 @@
+#! /bin/sh
+# PCP QA Test No. 125
+# pv 910632
+# __pmLogFetchInterp doing way more reading than it needs to.
+#
+# Copyright (c) 2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.*
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+pmval -z -Dlog,interp -O-16 -t 15 -a src/kenj-pc-1 kernel.all.cpu.idle 2>$tmp.err
+
+echo
+echo "__pmLogRead calls: `grep __pmLogRead $tmp.err | wc -l | sed -e 's/ *//g'`"